EDIT - feature request #7922

Add other possibilities to save distributions created with the distribution editor
Description

Related issues:
Related to EDIT - bug #10410: Newly created distributions are added to comput... Closed
Related to EDIT - feature request #5973: Implement DescriptionBase.isDefault ... Closed

Associated revisions

Revision 239530ee - 11/22/2018 11:38 AM - Katja Luther

ref #7922: add preference to save distribution editor factual data to their own fact

Revision d2ee9fd0 - 11/22/2018 11:46 AM - Katja Luther
ref #7922: add markertype for distribution editor descriptions

Revision 990879 - 10/09/2023 11:24 AM - Katja Luther
ref #7922: collect all descriptions containing distributions except

computed ones

Revision 9bca8097 - 10/09/2023 12:24 PM - Katja Luther
ref #7922: better label for > 1 distribution, adapt to default desc

History

#1 - 11/22/2018 11:33 AM - Katja Luther

It should be possible to save distributions created by the distribution editor in explicit descriptions.

This feature should be defined by a preference, this preference should offer three possibilities:
save to

e default description
¢ description for a specific source
e description for distribution editor
the description for distribution editor has a marker and the title contains "Distribution Editor Facts" or something similar.

#2 - 01/25/2019 08:54 AM - Katja Luther

- Status changed from New to In Progress

this needs to be reimplemented for the NATTable implementation

#3 - 02/19/2019 01:08 PM - Katja Luther

- Target version changed from Release 5.5 to Release 5.6

#4 - 02/19/2019 03:21 PM - Andreas Miller

- Target version changed from Release 5.6 to Reviewed Next Major Release

#5 - 10/05/2023 09:51 AM - Andreas Miiller
- Related to bug #10410: Newly created distributions are added to computed description added
#6 - 10/05/2023 09:53 AM - Andreas Miiller

- Related to feature request #5973: Implement DescriptionBase.isDefault in TaxEditor added

#7 - 10/05/2023 10:24 AM - Andreas Miiller
Additional possibility:

e (default) description for all distributions: there is one description flagged as distribution (default) description which may hold all distribution data if
not explicitly moved to another description (this solution is very similar to the "description for distribution editor" solution but differs in detail)

#8 - 10/05/2023 10:24 AM - Andreas Miiller

- Target version changed from Reviewed Next Major Release to Release 5.41

#9 - 10/09/2023 11:22 AM - Katja Luther

Using the default description for new created distribtion data is implemented now. Also showing all distribution data except computed data is
implemented.

#10 - 10/09/2023 03:28 PM - Andreas Miiller

AM: ... hier wurden 3 Lésungen angedacht:

i ‘ wahlt: => |mplemented in 5.41

2. Auswahl der Descnptlon erfolgt anhand der Quelle an der Descnp’uon Somit landen aIIe Daten, die zu einer bestimmten Quelle gehoren alle in
derselben Description. Eine explizite Angabe der Quelle in der Einzelverbreitung ist dann nicht mehr unbedingt notwendig, sofern man nicht
explizite Angaben wie Seitenzahl, Links, etc. miteingeben will. Dies ist soweit mir bekannt auch die urspriingliche Idee der Descriptions
gewesen.

3. Explizite Beschreibungen fur den Distribution Editor: Alle mit dem Distribution Editor erzeugten Verbreitungsdaten kommen in eine explizit
geflaggte Description. Von dort kénnen sie bei Bedarf in andere Descriptions manuell verschoben werden.

4. Explizite Beschreibung fur alle Verbreitungsdaten: per default, werden alle Verbreitungsdaten in dieser Description angelegt, auBBer sie werden
explizit wo anders hingeschoben.

Vermutlich gibt es auch noch mehr Méglichkeiten, aber ich denke mit diesen 4 kdnnten wir schon mal sehr gut leben. Und sie sollten auch alle nicht
sehr aufwendig sein zu implementieren.

Eckhard, was wére denn aus deiner E+M/Caucasus-Usersicht die praferierte Methode, wie entschieden werden soll, in welche Description eine
neuangelegte Verbreitung des Verbreitungseditors geschoben werden sollte bzw. ob eine ganze neue Description angelegt werden soll?

ERS:

ich versuche mich in diese Argumentation hineinzudenken und bin mir nicht ganz sicher, was fiir die Nutzer tatsichlich relevant ist. Zu den
angedachten Lésungen habe ich folgende Kommentare:

1.) Genau eine default description: dies scheint mir sehr sinnvoll fir Verbreitungsdaten aus dem Verbreitungseditor. Ich gehe davon aus, dass andere
factual data sets (z.B. mit dem Editor hierhin verschobene Daten von anderen Taxa, andere sets wie common names) davon unberihrt bleiben.

2.) Das mag funktionieren. Aber ich bin daran gewohnt, dass fur jede Einzelverbreitung eine explizit genannte Quelle existiert. Aus meiner Sicht ist
dies also eher problematisch.

3.) Vielleicht nltzlich zu sehen, welche Daten mit dem Distribution Editor erzeugt wurden, ja. Fiir den Output im Portal spielt es ja eh keine Rolle.
4.) Mir ist nicht ganz klar, was der Unterschied zu 1) ist.

Nochmals zur lllustration verschiedener Faktendaten: typisch ist in Euro+Med folgende Ansicht. Nach dem Verschieben und/oder Aggregation von
Faktendaten finden sich Distribution-Angaben unter 2 bis 3 verschiedenen descriptions. Ist das so ok, oder stort es irgendwie? Die
Distribution-Angaben von Hand zu verschieben, ist kaum machbar, da viel zu aufwéndig fir den Nutzer und ohne fir uns erkennbaren Effekt.

#11 - 10/27/2023 11:31 PM - Andreas Miiller

- Subject changed from Add possibility to save distributions created with the distribution editor in their own description to Add other possibilities to
save distributions created with the distribution editor

- Status changed from In Progress to New

- Target version changed from Release 5.41 to Reviewed Next Major Release

First issue implemented. Remaining possible implementations can be implemented when there is need for it. Therefore removing priority.
